package com.yeejoin.amos.boot.module.tcm.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@AllArgsConstructor
@Getter
public enum UnitTypeEnum {

    /**
     * *注册单位类型
     */

    sydw("使用单位", "1232"),
    czdw("充装单位", "1231"),
    //jyjcjg("检验检测机构", "1233"),//未使用
    jyjg("检验机构", "1233-1"),
    jcjg("检测机构", "1233-2"),
    azgzwxdw("安装改造维修单位", "1234"),
    zzdw("制造单位", "1236"),
    sjdw("设计单位", "1235"),
    grzt("个人主体", "6599");

    private String name;
    private String code;

    public static Map<String, String> getName = new HashMap<>();
    public static Map<String, String> getCode = new HashMap<>();


    static {
        for (UnitTypeEnum e : UnitTypeEnum.values()) {
            getName.put(e.code, e.name);
            getCode.put(e.name, e.code);
        }
    }
}
